# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_with bootstrap

%if %{without bootstrap}
%bcond_with ant_minimal
%else
%bcond_without ant_minimal
%endif

%global ant_home %{_datadir}/ant

Name:           ant
Version:        1.10.14
Release:        %mkrel 1
Group:          Development/Java
Summary:        Java build tool
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        Apache-2.0
URL:            https://ant.apache.org/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://www.apache.org/dist/ant/source/apache-ant-%{version}-src.tar.bz2
Source2:        apache-ant-1.8.ant.conf
# manpage
Source3:        ant.asciidoc

Patch0:         %{name}-build.xml.patch

BuildRequires:  asciidoc
BuildRequires:  xmlto

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  javapackages-local
BuildRequires:  java-devel >= 1:1.8.0
BuildRequires:  ant >= 1.10.2
BuildRequires:  ant-junit
%endif

%if %{without ant_minimal}
BuildRequires:  mvn(antlr:antlr)
BuildRequires:  mvn(bcel:bcel)
BuildRequires:  mvn(bsf:bsf)
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(commons-logging:commons-logging-api)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(commons-net:commons-net)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(jakarta.mail:jakarta.mail-api)
BuildRequires:  mvn(jdepend:jdepend)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.tukaani:xz)
BuildRequires:  mvn(oro:oro)
BuildRequires:  mvn(regexp:regexp)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xml-resolver:xml-resolver)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.hamcrest:hamcrest-library)
BuildRequires:  locales

BuildRequires:  junit5
%endif

# Theoretically Ant might be usable with just JRE, but typical Ant
# workflow requires full JDK, so we recommend it here.
Recommends: java-devel >= 1:1.8.0

Requires:       %{name}-lib = %{version}-%{release}
# Require full javapackages-tools since the ant script uses
# /usr/share/java-utils/java-functions
Requires:       javapackages-tools

%description
Apache Ant is a Java library and command-line tool whose mission is to
drive processes described in build files as targets and extension
points dependent upon each other.  The main known usage of Ant is the
build of Java applications.  Ant supplies a number of built-in tasks
allowing to compile, assemble, test and run Java applications.  Ant
can also be used effectively to build non Java applications, for
instance C or C++ applications.  More generally, Ant can be used to
pilot any type of process which can be described in terms of targets
and tasks.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package lib
Summary:        Core part of %{name}

%description lib
Core part of Apache Ant that can be used as a library.

%package junit
Summary:        Optional junit tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description junit
Optional junit tasks for %{name}.

%description junit -l fr
Taches junit optionelles pour %{name}.

%if %{without ant_minimal}

%package jmf
Summary:        Optional jmf tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr
Taches jmf optionelles pour %{name}.

%package swing
Summary:        Optional swing tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description swing
Optional swing tasks for %{name}.

%description swing -l fr
Taches swing optionelles pour %{name}.

%package antlr
Summary:        Optional antlr tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr
Taches antlr optionelles pour %{name}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name}.

%package commons-net
Summary:        Optional commons net tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description commons-net
Optional commons net tasks for %{name}.

%description commons-net -l fr
Taches commons net optionelles pour %{name}.

%package apache-bcel
Summary:        Optional apache bcel tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-bcel
Optional apache bcel tasks for %{name}.

%description apache-bcel -l fr
Taches apache bcel optionelles pour %{name}.

%package apache-oro
Summary:        Optional apache oro tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-oro
Optional apache oro tasks for %{name}.

%description apache-oro -l fr
Taches apache oro optionelles pour %{name}.

%package apache-regexp
Summary:        Optional apache regexp tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-regexp
Optional apache regexp tasks for %{name}.

%description apache-regexp -l fr
Taches apache regexp optionelles pour %{name}.

%package apache-xalan2
Summary:        Optional apache xalan2 tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description apache-xalan2
Optional apache xalan2 tasks for %{name}.

%description apache-xalan2 -l fr
Taches apache xalan2 optionelles pour %{name}.

%package imageio
Summary:        Optional imageio tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description imageio
Optional imageio tasks for %{name}.

%package jakartamail
Summary:        Optional jakartamail tasks for %{name}
Requires:       %{name} = %{version}-%{release}
# TODO Remove after Fedora 41
Obsoletes:      ant-javamail < 1.13.1

%description jakartamail
Optional jakartamail tasks for %{name}.

%description jakartamail -l fr
Taches jakartamail optionelles pour %{name}.

%package jdepend
Summary:        Optional jdepend tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name}.

%package jsch
Summary:        Optional jsch tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description jsch
Optional jsch tasks for %{name}.

%description jsch -l fr
Taches jsch optionelles pour %{name}.

%package junit5
Summary:        Optional junit5 tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description junit5
Optional junit5 tasks for %{name}.

%description junit5 -l fr
Taches junit5 optionelles pour %{name}.

%package testutil
Summary:        Test utility classes for %{name}
Requires:       %{name} = %{version}-%{release}

%description testutil
Test utility tasks for %{name}.

%package xz
Summary:        Optional xz tasks for %{name}
Requires:       %{name} = %{version}-%{release}

%description xz
Optional xz tasks for %{name}.

%package manual
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%endif

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{version}
%patch0 -p0

# clean jar files
find . -name "*.jar" | xargs -t rm

# failing testcases. TODO see why
rm src/tests/junit/org/apache/tools/ant/types/selectors/SignedSelectorTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsFileSelectedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsSignedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/optional/image/ImageIOTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/JarTest.java \
   src/tests/junit/org/apache/tools/mail/MailMessageTest.java

# Test relies on internal JUnit 5 API that was changed
rm src/tests/junit/org/apache/tools/ant/taskdefs/optional/junitlauncher/LegacyXmlResultFormatterTest.java

# Log4jListener is deprecated by upstream: Apache Log4j (1) is not
# developed any more. Last release is 1.2.17 from 26 May 2012 and
# contains vulnerability issues.
rm src/main/org/apache/tools/ant/listener/Log4jListener.java

#install jars
%if %{with bootstrap}
build-jar-repository -s -p lib/optional javapackages-bootstrap/junit javapackages-bootstrap/hamcrest-core
%else
%if %{with ant_minimal}
build-jar-repository -s -p lib/optional junit hamcrest/core hamcrest/library
%else
build-jar-repository -s -p lib/optional antlr bcel commons-lang3 jakarta-mail/jakarta.mail-api jakarta-activation/jakarta.activation-api jdepend junit oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver xalan-j2-serializer hamcrest/core hamcrest/library xz-java junit5 opentest4j
%endif
%endif

# fix hardcoded paths in ant script and conf
cp -p %{SOURCE2} %{name}.conf
sed -e 's:/etc/ant.conf:%{_sysconfdir}/ant.conf:g' \
    -e 's:/etc/ant.d:%{_sysconfdir}/ant.d:g' \
    -e 's:/usr/share/ant:%{_datadir}/ant:g' \
    -e 's:/usr/bin/build-classpath:%{_bindir}/build-classpath:g' \
    -e 's:/usr/share/java-utils/java-functions:%{_javadir}-utils/java-functions:g' \
    -i src/script/ant %{name}.conf

# Remove unnecessary JARs from the classpath
sed -i 's/jaxp_parser_impl//;s/xml-commons-apis//' src/script/ant

# Fix file-not-utf8 rpmlint warning
iconv KEYS -f iso-8859-1 -t utf-8 -o KEYS.utf8
mv KEYS.utf8 KEYS
iconv LICENSE -f iso-8859-1 -t utf-8 -o LICENSE.utf8
mv LICENSE.utf8 LICENSE

# We want a hard dep on antlr
%pom_xpath_remove pom:optional src/etc/poms/ant-antlr/pom.xml

# fix javamail dependency coordinates (remove once javamail is updated)
%pom_change_dep -r com.sun.mail:jakarta.mail jakarta.mail:jakarta.mail-api src/etc/poms/ant-jakartamail/pom.xml

%build
%if %{with ant_minimal}
%{ant} jars
%else
%{ant} jars test-jar javadocs
%endif

# typeset the manpage
mkdir man
asciidoc -b docbook -d manpage -o man/%{name}.xml %{SOURCE3}
xmlto man man/%{name}.xml -o man

# remove empty jai and netrexx jars. Due to missing dependencies they contain only manifests.
rm build/lib/ant-jai.jar build/lib/ant-netrexx.jar
# log4j logging is deprecated
rm build/lib/ant-apache-log4j.jar
# dropped in favor of jakartamail
rm build/lib/ant-javamail.jar

%install
# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc,bin}

%mvn_alias :ant org.apache.ant:ant-nodeps apache:ant ant:ant
%mvn_alias :ant-launcher ant:ant-launcher

%mvn_file ':{ant,ant-bootstrap,ant-launcher}' %{name}/@1 @1

%if %{with ant_minimal}
mv build/lib build/lib0
mkdir build/lib/
mv build/lib0/ant.jar build/lib/
mv build/lib0/ant-bootstrap.jar build/lib/
mv build/lib0/ant-launcher.jar build/lib/
mv build/lib0/ant-junit.jar build/lib/
mv build/lib0/ant-junit4.jar build/lib/
%endif

for jar in build/lib/*.jar; do
  # Make sure that installed JARs are not empty
  jar tf ${jar} | grep -E -q '.*\.class'

  jarname=$(basename $jar .jar)

  # jar aliases
  ln -sf ../../java/%{name}/${jarname}.jar $RPM_BUILD_ROOT%{ant_home}/lib/${jarname}.jar

  pom=src/etc/poms/${jarname}/pom.xml

  # bootstrap does not have a pom, generate one
  [ $jarname == ant-bootstrap ] && pom='org.apache.ant:ant-bootstrap:%{version}'

  %mvn_artifact ${pom} ${jar}
done

# ant-parent pom
%mvn_artifact src/etc/poms/pom.xml

%mvn_package :ant lib
%mvn_package :ant-launcher lib
%mvn_package :ant-bootstrap lib
%mvn_package :ant-parent lib
%mvn_package :ant-junit4 junit
# catchall rule for the rest
%mvn_package ':ant-{*}' @1

%mvn_install

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
%if %{with ant_minimal}
rm src/etc/jdepend-frames.xsl
rm src/etc/jdepend.xsl
rm src/etc/maudit-frames.xsl
%endif
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/ant $RPM_BUILD_ROOT%{_bindir}/
ln -sf %{_bindir}/ant $RPM_BUILD_ROOT%{ant_home}/bin/
cp -p src/script/antRun $RPM_BUILD_ROOT%{ant_home}/bin/

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d
echo "junit hamcrest/core ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
echo "junit hamcrest/core ant/ant-junit4" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit4

%if %{without ant_minimal}

echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
echo "bsf commons-logging ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
echo "apache-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
echo "apache-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
echo "bcel commons-lang3 ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
echo "xalan-j2 xalan-j2-serializer ant/ant-apache-xalan2" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-xalan2
echo "ant/ant-imageio" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/imageio
echo "jakartamail jaf ant/ant-jakartamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jakartamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
echo "junit5 hamcrest/core junit opentest4j ant/ant-junitlauncher" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junitlauncher
echo "testutil ant/ant-testutil" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/testutil
echo "xz-java ant/ant-xz" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/xz

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# fix link between manual and javadoc
(cd manual; ln -sf %{_javadocdir}/%{name} api)

%endif

# manpage
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -p -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%if %{without ant_minimal}
%check
LC_ALL=C.UTF-8 %{ant} test
%endif

%files
%doc KEYS README WHATSNEW
%license LICENSE NOTICE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%dir %{ant_home}/bin
%{ant_home}/bin/ant
%attr(0755,root,root) %{ant_home}/bin/antRun
%{_mandir}/man1/%{name}.*
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/common2master.xsl
%{ant_home}/etc/printFailingTests.xsl
%dir %{_sysconfdir}/%{name}.d

%files lib -f .mfiles-lib
%dir %{ant_home}
%dir %{ant_home}/lib
%{ant_home}/lib/%{name}.jar
%{ant_home}/lib/%{name}-launcher.jar
%{ant_home}/lib/%{name}-bootstrap.jar

%files junit -f .mfiles-junit
%{ant_home}/lib/%{name}-junit.jar
%{ant_home}/lib/%{name}-junit4.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junit
%config(noreplace) %{_sysconfdir}/%{name}.d/junit4
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%{ant_home}/etc/junit-frames-saxon.xsl
%{ant_home}/etc/junit-noframes-saxon.xsl

%if %{without ant_minimal}

%files jmf -f .mfiles-jmf
%{ant_home}/lib/%{name}-jmf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jmf

%files swing -f .mfiles-swing
%{ant_home}/lib/%{name}-swing.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/swing

%files antlr -f .mfiles-antlr
%{ant_home}/lib/%{name}-antlr.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/antlr

%files apache-bsf -f .mfiles-apache-bsf
%{ant_home}/lib/%{name}-apache-bsf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bsf

%files apache-resolver -f .mfiles-apache-resolver
%{ant_home}/lib/%{name}-apache-resolver.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-resolver

%files commons-logging -f .mfiles-commons-logging
%{ant_home}/lib/%{name}-commons-logging.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-logging

%files commons-net -f .mfiles-commons-net
%{ant_home}/lib/%{name}-commons-net.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-net

%files apache-bcel -f .mfiles-apache-bcel
%{ant_home}/lib/%{name}-apache-bcel.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bcel

%files apache-oro -f .mfiles-apache-oro
%{ant_home}/lib/%{name}-apache-oro.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl

%files apache-regexp -f .mfiles-apache-regexp
%{ant_home}/lib/%{name}-apache-regexp.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-regexp

%files apache-xalan2 -f .mfiles-apache-xalan2
%{ant_home}/lib/%{name}-apache-xalan2.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-xalan2

%files imageio -f .mfiles-imageio
%{ant_home}/lib/%{name}-imageio.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/imageio

%files jakartamail -f .mfiles-jakartamail
%{ant_home}/lib/%{name}-jakartamail.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jakartamail

%files jdepend -f .mfiles-jdepend
%{ant_home}/lib/%{name}-jdepend.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%files jsch -f .mfiles-jsch
%{ant_home}/lib/%{name}-jsch.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jsch

%files junit5 -f .mfiles-junitlauncher
%{ant_home}/lib/%{name}-junitlauncher.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junitlauncher

%files testutil -f .mfiles-testutil
%{ant_home}/lib/%{name}-testutil.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/testutil

%files xz -f .mfiles-xz
%{ant_home}/lib/%{name}-xz.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/xz

%files manual
%license LICENSE NOTICE
%doc manual/*

%files javadoc
%license LICENSE NOTICE
%{_javadocdir}/%{name}

%endif

# -----------------------------------------------------------------------------



%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 1.10.14-1.mga10
+ Revision: 1986637
- Update to upstream version 1.10.14

* Sat Jul 30 2022 neoclust <neoclust> 1.10.12-10.mga9
+ Revision: 1873472
- Try to obsoletes ant-apache-log4j

* Mon Jul 25 2022 neoclust <neoclust> 1.10.12-9.mga9
+ Revision: 1871668
- Build without bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.10.12-8.mga9
+ Revision: 1870557
- Fix bootstrap build
- Rebuild against latest javapackages-tools

* Tue Jun 07 2022 neoclust <neoclust> 1.10.12-2.mga9
+ Revision: 1863171
- Define java_arches macro
- New version 1.10.12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 daviddavid <daviddavid> 0:1.10.9-1.mga8
+ Revision: 1637540
- Update to version 1.10.9
- Addresses: CVE-2020-11979
- Remove workaround for jarsigner issues / RHBZ#1869017
- Switch from log4j 1.2 compat package to log4j 1.2 API shim

* Thu Sep 03 2020 daviddavid <daviddavid> 0:1.10.8-4.mga8
+ Revision: 1621294
- Temporarily disable some jarsigner tests to work around RHBZ#1869017
+ neoclust <neoclust>
- Rebuild against java11

* Mon Jun 29 2020 joequant <joequant> 0:1.10.8-2.mga8
+ Revision: 1600423
- bump to rebuild

* Fri May 22 2020 neoclust <neoclust> 0:1.10.8-1.mga8
+ Revision: 1586884
- New version 1.10.8

* Sat Feb 15 2020 umeabot <umeabot> 0:1.10.6-2.mga8
+ Revision: 1527981
- Mageia 8 Mass Rebuild

* Thu Aug 01 2019 daviddavid <daviddavid> 0:1.10.6-1.mga8
+ Revision: 1426774
- Update to version 1.10.6

* Tue Dec 04 2018 daviddavid <daviddavid> 0:1.10.5-3.mga7
+ Revision: 1338329
- enable new junit5 support

* Fri Sep 21 2018 umeabot <umeabot> 0:1.10.5-2.mga7
+ Revision: 1294336
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 0:1.10.5-1.mga7
+ Revision: 1255907
- new version: 1.10.5 (sync with fc29)

* Fri Aug 31 2018 daviddavid <daviddavid> 0:1.10.2-1.mga7
+ Revision: 1255890
- non-bootstrap build

* Fri Aug 31 2018 daviddavid <daviddavid> 0:1.10.2-0.1.mga7
+ Revision: 1255864
- new version: 1.10.2
- Bootstrap build

* Thu Sep 28 2017 daviddavid <daviddavid> 0:1.10.1-1.mga7
+ Revision: 1161113
- Update to upstream version 1.10.1
- Use log4j12
- Conditionalize weak dependencies
- Don't hardcode path to xargs
- Fix hardcoded paths in ant script and conf
- Fix requires on xz-java
- Install with XMvn
- Fix requires
- Use JDK's jaxp instead of xerces
- Fix directory ownership

* Fri Jun 16 2017 akien <akien> 0:1.9.6-5.mga6
+ Revision: 1107833
- Add conflict in ant-lib to ease upgrade from mga5

* Wed Mar 02 2016 neoclust <neoclust> 0:1.9.6-4.mga6
+ Revision: 982222
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package ant with fedora

* Sun Jan 10 2016 pterjan <pterjan> 0:1.9.6-3.mga6
+ Revision: 921184
- Fix file list
- Clean rebuild
+ zezinho <zezinho>
- neoclust fix build
- neoclust fix build

* Sat Dec 19 2015 zezinho <zezinho> 0:1.9.6-1.mga6
+ Revision: 912160
- new version

* Fri Dec 19 2014 pterjan <pterjan> 0:1.9.4-5.mga5
+ Revision: 804155
- Clean rebuild
- Remove references to junit.threads to allow tests to run
- Fix file sections
+ dmorgan <dmorgan>
- Clean spec file
- New version
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0:1.9.2-2.mga4
+ Revision: 537406
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0:1.9.2-1.mga4
+ Revision: 486933
- New version

* Mon Jul 29 2013 dmorgan <dmorgan> 0:1.9.1-3.mga4
+ Revision: 460212
- Remove wrongly added ant-nodeps provide

* Mon Jul 29 2013 joequant <joequant> 0:1.9.1-2.mga4
+ Revision: 460196
- add provides ant-nodeps to fix dependency errors

* Fri Jul 12 2013 dmorgan <dmorgan> 0:1.9.1-1.mga4
+ Revision: 453447
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.8.4-6.mga4
+ Revision: 451127
- Fix licence tag

* Fri Jan 11 2013 umeabot <umeabot> 0:1.8.4-5.mga3
+ Revision: 345577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0:1.8.4-4.mga3
+ Revision: 326628
- Build with Java7

* Sun Oct 28 2012 dmorgan <dmorgan> 0:1.8.4-3.mga3
+ Revision: 311252
- Java Stack Mass Rebuild
- Removed checking for classpath duplicates

* Fri Jun 29 2012 dmorgan <dmorgan> 0:1.8.4-1.mga3
+ Revision: 265180
- New version 1.8.4

* Mon Jan 09 2012 dmorgan <dmorgan> 0:1.8.2-6.mga2
+ Revision: 194318
- Sync with fedora :
  	- Make scripts executable.
  	- Adapt to current guidelines.
  	- Fix xalan-j2 subpackage path.
- Fix groups
- Fix xalan-j2 subpackage path.

* Mon Feb 07 2011 pterjan <pterjan> 0:1.8.2-4.mga1
+ Revision: 48580
- Remove file deps

* Tue Jan 25 2011 dmorgan <dmorgan> 0:1.8.2-3.mga1
+ Revision: 39569
- Build without bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-2.mga1
+ Revision: 22302
- Bump release
- Disable bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-1.mga1
+ Revision: 22179
- Add missing define
- Add buildrequires
- Enable bootstrap
- New version 1.8.2
  Sync with fedora spec file
+ pterjan <pterjan>
- Disable bootstrap

* Sat Jan 15 2011 dmorgan <dmorgan> 0:1.7.1-7.0.6.mga1
+ Revision: 18706
- Enable bootstrap
- Remove empty condition
- Do not build log4j subpackage in bootstrap
- imported package ant


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.6mdv2011.0
+ Revision: 603178
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.5mdv2010.1
+ Revision: 521939
- rebuilt for 2010.1

* Tue Aug 18 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:1.7.1-7.0.4mdv2010.0
+ Revision: 417736
- Simplifying dependencies. Requiring java 1.6 and removing special dependencies on various XML tools as they are part of java 1.6 already

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.3mdv2010.0
+ Revision: 413027
- rebuild

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.7.1-7.0.2mdv2009.1
+ Revision: 328397
- Rebuild with new python

* Sun Aug 03 2008 David Walluck <walluck@mandriva.org> 0:1.7.1-7.0.1mdv2009.0
+ Revision: 261724
- BuildRequires: java-rpmbuild
- 1.7.1

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.12mdv2008.1
+ Revision: 147620
- full build

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.11mdv2008.1
+ Revision: 147571
- bump release
- require xerces-j2 when not bootsrapped

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.10mdv2008.1
+ Revision: 147569
- bump release
- xerces-j2 is needed when not bootstrapping

  + David Walluck <walluck@mandriva.org>
    - explicitly require geronimo for jaf and javamail

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.8mdv2008.1
+ Revision: 120826
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.7mdv2008.1
+ Revision: 119006
- add apache-ant-jars.patch

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.6mdv2008.0
+ Revision: 87188
- rebuild to filter out autorequires on GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.5mdv2008.0
+ Revision: 85587
- remove Conflicts and instead just Provide/Obsolete them

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.4mdv2008.0
+ Revision: 85487
- remove jpprelease
- Provides all Obsoletes
- version Provides and Obsoletes

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0:1.7.0-3.3.3mdv2008.0
+ Revision: 70143
- kill file require on perl-base

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.2mdv2008.0
+ Revision: 53179
- use xml-commons-jaxp-1.3-apis and xml-commons-resolver12 explicitely
  instead of the generic xml-commons-apis and xml-commons-resolver which
  are provided by multiple packages (see bug #31473)

* Sun Jul 08 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.1mdv2008.0
+ Revision: 49926
- fix java-devel (Build)Requires with gcj_support enabled
- force xerces-j2 requirement
- set OPT_JAR_LIST=: during build

* Fri Jul 06 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3mdv2008.0
+ Revision: 48856
- fix native2ascii task under GNU java

* Tue Jul 03 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.2mdv2008.0
+ Revision: 47572
- rebuild with new libgcj


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 1.7.0-3.1mdv2007.1
+ Revision: 138123
- remove unused patch

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-3mdv2007.1
+ Revision: 102757
- require xml-commons-resolver12 instead of xml-commons-resolver
- disable bootstrap

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-1mdv2007.1
+ Revision: 102726
- fix bootstrap build
- enable bootstrap
- 1.7.0
- Import ant

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-21mdv2007.0
- BuildRequires: ant if not bootstrap

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-20mdv2007.0
- use bcond for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-19mdv2007.0
- set CLASSPATH= for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-18mdv2007.0
- use Conflicts instead of Obsoletes

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-17mdv2007.0
- use %%{clean_gcj} also
- add missing %%{clean_gcj} entries
- add option to turn off javadoc generation
- add xalan-j2-serializer to %%{_sysconfdir}/ant.d/ant-trax

* Sat Mar 04 2006 Giuseppe Ghibò <ghibo@mandriva.com>  0:1.6.5-16mdk
- Use %%update_gcjdb

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-15mdk
- BuildRequires: java-devel

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-14mdk
- (Build)Requires: xml-commons-apis

* Wed Dec 07 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-13mdk
- call aot-compile-rpm without path

* Tue Nov 29 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-12mdk
- fix aot-compile-rpm location

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-11mdk
- BuildRequires: ant if not bootstrap
- fix ant-jai file
- fix commons-net post scripts

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-10mdk
- apply Red Hat patch for javah task

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-9mdk
- enable rpm_mode in ant script instead of ant.conf

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-8mdk
- set rpm_mode=true by default in ant.conf

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-7mdk
- create a javah task from the kaffeh task

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-6mdk
- fix bootstrap

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-5mdk
- add gcj native libs

* Thu Sep 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-4mdk
- obsoletes/provides ant-bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-3mdk
- add %%mkrel
- fix bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-2mdk
- add Conflicts: j2sdk-ant

* Mon Aug 15 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-1mdk
- 1.6.5

* Tue May 24 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.3mdk
- add support for jai
- add manifest-only jars

* Fri May 13 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.2mdk
- rebuild as non-bootstrap
- add support for bsf and commons-net

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.1mdk
- release

* Sat Apr 09 2005 Andrew Overholt <overholt@redhat.com> 1.6.2-3jpp_4fc
- Back out ant-apache-javac-ecj.patch and ant.orig changes as they stop eclipse
  from building.

* Wed Mar 30 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_3fc
- Add NOTICE file as per Apache License version 2.0.
- Remove some now unnecessary gcj workarounds.
- Add the jsch subpackage since we now ship jsch.

* Thu Jan 20 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_2fc
- Use jdtcore.jar instead of ecj.jar when running under libgcj.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_1fc
- Upgrade to latest version.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_7fc
- Explicitly require java-devel to make beehive play nice.

* Mon Nov 08 2004 Gary Benson <gbenson at redhat.com> - 0:1.6.2-3jpp
- Build OPT_JAR_LIST from files in /etc/ant.d.

* Thu Nov 04 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_6fc
- Build into Fedora.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_5fc
- Explicitly require xerces-j2 to make beehive play nice.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_4fc
- Bootstrap into Fedora.

* Tue Sep 07 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-2jpp
- Fix to backward compatibility symbolic links.

* Wed Aug 18 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-1jpp
- Update to Ant 1.6.2

* Fri Aug 06 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-2jpp
- Remove incorrect noreplace option for ant.conf; it can't be used anymore
  because the sub-packages update that file.
- Add patch to fix temp directory used for file containing large
  command strings (> 4k)

* Wed Jun 02 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Extend subpackage builds to update ant.conf

* Tue Mar 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Update to Ant 1.6.1
- Change ant launch script to source instead of patch
- Move optional components to ant subdirectory: %%{_javadir}/%%{name}
- Remove os/2 scripts and set JAVA_HOME for build

